<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<!--
 #=============================================================================#
 # Copyright (c) 2005, 2025 Stephan Wahlbrink and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0, or the Apache License, Version 2.0
 # which is available at https://www.apache.org/licenses/LICENSE-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0 OR Apache-2.0
 # 
 # Contributors:
 #     Stephan Wahlbrink <sw@wahlbrink.eu> - initial API and implementation
 #=============================================================================#
-->

<plugin>
   
   <!-- pagebook views -->
   <extension
         point="org.eclipse.ui.commands">
      <command
            id="org.eclipse.statet.workbench.commands.NewPage"
            categoryId="org.eclipse.ui.category.views"
            name="%commands_NewPage_name"
            description="%commands_NewPage_description">
      </command>
      <command
            id="org.eclipse.statet.workbench.commands.ClosePage"
            categoryId="org.eclipse.ui.category.views"
            name="%commands_ClosePage_name"
            description="%commands_ClosePage_description">
      </command>
      <command
            id="org.eclipse.statet.workbench.commands.CloseAllPages"
            categoryId="org.eclipse.ui.category.views"
            name="%commands_CloseAllPages_name"
            description="%commands_CloseAllPages_description">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.commandImages">
      <image
            commandId="org.eclipse.statet.workbench.commands.NewPage"
            icon="icons/loctool_16/new_page.gif">
      </image>
      <image
            commandId="org.eclipse.statet.workbench.commands.ClosePage"
            icon="icons/loctool_16/close_page.gif"
            disabledIcon="icons/loctool_16_d/close_page.gif">
      </image>
      <image
            commandId="org.eclipse.statet.workbench.commands.CloseAllPages"
            icon="icons/loctool_16/close_all_pages.gif"
            disabledIcon="icons/loctool_16_d/close_all_pages.gif">
      </image>
      <image
            commandId="org.eclipse.ui.navigate.back"
            icon="icons/loctool_16/navigate-back.png"
            disabledIcon="icons/loctool_16/navigate-back$d.png">
      </image>
      <image
            commandId="org.eclipse.ui.navigate.forward"
            icon="icons/loctool_16/navigate-forward.png"
            disabledIcon="icons/loctool_16/navigate-forward$d.png">
      </image>
   </extension>
   
   <!-- breadcrumbs -->
   <extension
         point="org.eclipse.ui.contexts">
      <context
            id="org.eclipse.statet.ecommons.ui.viewers.contexts.WithBreadcrumbContext"
            name="%contexts_WithBreadcrumbContext_name"
            description="%contexts_WithBreadcrumbContext_description">
      </context>
   </extension>
   <extension
         point="org.eclipse.ui.bindings">
      <key
            sequence="M2+M3+B"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            contextId="org.eclipse.statet.ecommons.ui.viewers.contexts.WithBreadcrumbContext"
            commandId="org.eclipse.jdt.ui.edit.text.java.gotoBreadcrumb">
      </key>
      <key
            sequence="M2+M3+B"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            platform="carbon"
            contextId="org.eclipse.statet.ecommons.ui.viewers.contexts.WithBreadcrumbContext"
            commandId="">
      </key>
      <key
            sequence="COMMAND+ALT+B"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            platform="carbon"
            contextId="org.eclipse.statet.ecommons.ui.viewers.contexts.WithBreadcrumbContext"
            commandId="org.eclipse.jdt.ui.edit.text.java.gotoBreadcrumb">
      </key>
   </extension>
   
   <!-- browser -->
   <extension
         point="org.eclipse.ui.commands">
      <command
            id="org.eclipse.statet.workbench.commands.GoToHome"
            categoryId="org.eclipse.ui.category.navigate"
            name="%commands_GoToHome_name"
            description="%commands_GoToHome_description">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.contexts">
      <context
            id="org.eclipse.statet.workbench.contexts.PageViewerContext"
            name="%contexts_PageViewerContext_name"
            description="%contexts_PageViewerContext_description">
      </context>
   </extension>
   <extension
         point="org.eclipse.ui.bindings">
<!--
      <key
            sequence="M3+ARROW_LEFT"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            contextId="org.eclipse.statet.workbench.contexts.PageViewerContext"
            commandId="org.eclipse.ui.navigate.back">
      </key>
      <key
            sequence="M3+ARROW_LEFT"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            platform="carbon"
            contextId="org.eclipse.statet.workbench.contexts.PageViewerContext"
            commandId="">
      </key>
      <key
            sequence="M3+ARROW_RIGHT"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            contextId="org.eclipse.statet.workbench.contexts.PageViewerContext"
            commandId="org.eclipse.ui.navigate.forward">
      </key>
      <key
            sequence="M3+ARROW_RIGHT"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            platform="carbon"
            contextId="org.eclipse.statet.workbench.contexts.PageViewerContext"
            commandId="">
      </key>
-->
      <key
            sequence="M3+HOME"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            contextId="org.eclipse.statet.workbench.contexts.PageViewerContext"
            commandId="org.eclipse.statet.workbench.commands.GoToHome">
      </key>
      <key
            sequence="M1+T"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            contextId="org.eclipse.statet.workbench.contexts.PageViewerContext"
            commandId="org.eclipse.statet.workbench.commands.NewPage">
      </key>
      <key
            sequence="M1+F4"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            contextId="org.eclipse.statet.workbench.contexts.PageViewerContext"
            commandId="org.eclipse.statet.workbench.commands.ClosePage">
      </key>
      <key
            sequence="M1+W"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            contextId="org.eclipse.statet.workbench.contexts.PageViewerContext"
            commandId="org.eclipse.statet.workbench.commands.ClosePage">
      </key>
      <key
            sequence="M1+M2+F4"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            contextId="org.eclipse.statet.workbench.contexts.PageViewerContext"
            commandId="org.eclipse.statet.workbench.commands.CloseAllPages">
      </key>
      <key
            sequence="M1+M2+W"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            contextId="org.eclipse.statet.workbench.contexts.PageViewerContext"
            commandId="org.eclipse.statet.workbench.commands.CloseAllPages">
      </key>
      <key
            sequence="M1+F4"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            platform="carbon"
            contextId="org.eclipse.statet.workbench.contexts.PageViewerContext"
            commandId="">
      </key>
      <key
            sequence="M1+M2+F4"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            platform="carbon"
            contextId="org.eclipse.statet.workbench.contexts.PageViewerContext"
            commandId="">
      </key>
      <key
            sequence="M1+F4"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            platform="gtk"
            contextId="org.eclipse.statet.workbench.contexts.PageViewerContext"
            commandId="">
      </key>
      <key
            sequence="M1+M2+F4"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            platform="gtk"
            contextId="org.eclipse.statet.workbench.contexts.PageViewerContext"
            commandId="">
      </key>
   </extension>
   
   <extension
         point="org.eclipse.ui.commands">
      <command
            id="org.eclipse.statet.workbench.commands.ExpandElements"
            name="%commands_ExpandElements_name"
            description="%commands_ExpandElements_description">
         <commandParameter
               id="type"
               name="%commands_ExpandElements_Type_name"
               optional="true">
         </commandParameter>
      </command>
   </extension>
   
   <extension
         point="org.eclipse.e4.ui.css.core.elementProvider">
      <provider
            class="org.eclipse.statet.internal.ecommons.ui.swt.css.dom.ECommonsSwtElementProvider">
         <widget
               class="org.eclipse.statet.ecommons.ui.swt.expandable.ExpandableComposite"/>
         <widget
               class="org.eclipse.statet.internal.ecommons.ui.swt.css.dom.VirtualWidget"/>
      </provider>
   </extension>
   <extension
         point="org.eclipse.e4.ui.css.core.propertyHandler">
      <handler
            adapter="org.eclipse.statet.internal.ecommons.ui.swt.css.dom.ExpandableCompositeElement"
            handler="org.eclipse.statet.internal.ecommons.ui.swt.css.properties.ExpandableCompositePropertyHandler">
         <property-name
               name="swt-titlebar-color"/>
      </handler>
   </extension>
   <extension
         point="org.eclipse.e4.ui.css.swt.theme">
      <stylesheet
            uri="css/e4_dark.css">
         <themeid
               refid="org.eclipse.e4.ui.css.theme.e4_dark"/>
      </stylesheet>
   </extension>
   
</plugin>
